Unified Catalog Entity Export¶
GET /api/v1/unified_catalog/entity/export
Overview¶
Export the unified catalog entity list as CSV. The exported columns are based on the entity type view definition viewDefine.layout.
Query Request Parameters¶
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| entityType | string | Y | Entity type code Allow empty: False |
| provider | string | Single source type. For multiple values, it is recommended to use the filters or providers scenario interface.Allow empty: False |
|
| search | string | Fuzzy search, matching urn / display_name / name Allow empty: False |
|
| filters | json | Filter by attributes field, supports JSON object or stringified JSON.Allow empty: False Example: {'env': ['prod']} |
|
| orderBy | string | Sort field, default is updatedAt.Allow empty: False |
|
| order | string | Sort order, default is desc.Allow empty: False |
Parameter Additional Notes¶
Request Parameter Description
| Parameter Name | type | Required | Description |
|---|---|---|---|
| entityType | string | Yes | Entity type code. Different types have different export columns. |
| provider | string | No | Single source type. |
| search | string | No | Fuzzy search, matching urn / display_name / name. |
| filters | json | No | Filter by attributes field. |
| orderBy | string | No | Sort field, default is updatedAt. |
| order | string | No | Sort direction, default is desc. |
Calling Notes
- The exported columns are based on the entity type view definition
viewDefine.layout. filterssupports JSON object or stringified JSON.- Upon successful interface call, a CSV file stream is returned directly. It is recommended that the caller handle it as a file download.
Request Example¶
curl 'https://openapi.truewatch.com/api/v1/unified_catalog/entity/export?entityType=database&filters={"env":["prod"]}' \
-H 'DF-API-KEY: <DF-API-KEY>' \
--output entities.csv